from fastapi import FastAPI
from pydantic import BaseSettings
from source.dataset_service import get_latest_wildfire_map

from source.mock import mocked_models
from source.resources import ModelResource, PredictionResource

app = FastAPI()

@app.get("/models", tags=["AI-RON MAN"])
async def get_models() -> list[ModelResource]:
    return mocked_models


@app.get("/latest-risk", tags=["AI-RON MAN"])
async def get_latest_risk() -> PredictionResource:
    result = get_latest_wildfire_map()
    return result
