from datetime import datetime

import humps
from pydantic import BaseModel


class PredictionResource(BaseModel):
    timestamp: datetime
    data: list
    risk: str

    class Config:
        alias_generator = humps.camelize
        allow_population_by_field_name = True


class ModelResource(BaseModel):
    name: str
    creation_date: datetime

    class Config:
        alias_generator = humps.camelize
        allow_population_by_field_name = True
